MyGUI 3.2.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions
MyGUI::delegates::CDelegate0 Class Reference

`#include <MyGUI_Delegate.h>`

## Public Types
typedef IDelegate0 | IDelegate

## Public Member Functions
| CDelegate0 ()
| CDelegate0 (const CDelegate0 &_event)
| ~CDelegate0 ()
bool | empty () const
void | clear ()
CDelegate0 & | operator= (IDelegate *_delegate)
CDelegate0 & | operator= (const CDelegate0 &_event)
void | operator() ()

## Detailed Description

Definition at line 137 of file MyGUI_Delegate.h.

## Member Typedef Documentation

typedef IDelegate0 MyGUI::delegates::CDelegate0::IDelegate

Definition at line 140 of file MyGUI_Delegate.h.

## Constructor & Destructor Documentation

MyGUI::delegates::CDelegate0::CDelegate0 | ( |  | ) |
| inline

Definition at line 142 of file MyGUI_Delegate.h.

MyGUI::delegates::CDelegate0::CDelegate0 | ( | const CDelegate0 & | _event | ) |
| inline

Definition at line 143 of file MyGUI_Delegate.h.

MyGUI::delegates::CDelegate0::~CDelegate0 | ( |  | ) |
| inline

Definition at line 150 of file MyGUI_Delegate.h.

## Member Function Documentation

void MyGUI::delegates::CDelegate0::clear | ( |  | ) |
| inline

Definition at line 160 of file MyGUI_Delegate.h.

bool MyGUI::delegates::CDelegate0::empty | ( |  | ) | const
| inline

Definition at line 155 of file MyGUI_Delegate.h.

void MyGUI::delegates::CDelegate0::operator() | ( |  | ) |
| inline

Definition at line 190 of file MyGUI_Delegate.h.

CDelegate0& MyGUI::delegates::CDelegate0::operator= | ( | IDelegate * | _delegate | ) |
| inline

Definition at line 166 of file MyGUI_Delegate.h.

CDelegate0& MyGUI::delegates::CDelegate0::operator= | ( | const CDelegate0 & | _event | ) |
| inline

Definition at line 173 of file MyGUI_Delegate.h.

The documentation for this class was generated from the following file:

- MyGUI_Delegate.h